package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/12/23
 */
public class StudentRecoverDto extends CourseGenerateDto{
    @ApiModelProperty(value = "vip课编号")
    private Integer vipGroupId;

    @ApiModelProperty(value = "学生编号")
    private Integer userId;

    @ApiModelProperty(value = "教师编号")
    private Integer teacherId;

    @ApiModelProperty(value = "课程截至时间")
    private Date expireDate;

    private int days;

    public int getDays() {
        return days;
    }

    public void setDays(int days) {
        this.days = days;
    }

    public Date getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(Date expireDate) {
        this.expireDate = expireDate;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getVipGroupId() {
        return vipGroupId;
    }

    public void setVipGroupId(Integer vipGroupId) {
        this.vipGroupId = vipGroupId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }
}
